from typing import Type

from ._DependencyInjectionException import DependencyInjectionException


class AbstractDependencyException(DependencyInjectionException):
    def __init__(self, dependency_cls: Type):
        super().__init__(f"Failed to create instance of type {dependency_cls}: Class is abstract")
